package com.buy507.mall.portal.domain;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;

public class OrderItemResult {
	
	@ApiModelProperty(value = "订单ID")
	private Long orderId;
	
	@ApiModelProperty(value = "订单编号")
	private String orderSn;
	
	@ApiModelProperty(value = "商品ID")
	private Long productId;
	
	@ApiModelProperty(value = "商品图片")
	private String productPic;
	
	@ApiModelProperty(value = "商品名称")
	private String productName;
	
	@ApiModelProperty(value = "品牌")
	private String productBrand;
	
	@ApiModelProperty(value = "商品价格")
	private BigDecimal productPrice;
	
	@ApiModelProperty(value = "商品数量")
	private Integer productQuantity;
	
	@ApiModelProperty(value = "商品SKU属性1")
	private String sp1;
	
	@ApiModelProperty(value = "商品SKU属性2")
	private String sp2;
	
	@ApiModelProperty(value = "商品SKU属性3")
	private String sp3;
	
	public Long getOrderId() {
		return orderId;
	}

	public void setOrderId(Long orderId) {
		this.orderId = orderId;
	}

	public String getOrderSn() {
		return orderSn;
	}

	public void setOrderSn(String orderSn) {
		this.orderSn = orderSn;
	}

	public Long getProductId() {
		return productId;
	}

	public void setProductId(Long productId) {
		this.productId = productId;
	}

	public String getProductPic() {
		return productPic;
	}

	public void setProductPic(String productPic) {
		this.productPic = productPic;
	}

	public String getProductName() {
		return productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}

	public String getProductBrand() {
		return productBrand;
	}

	public void setProductBrand(String productBrand) {
		this.productBrand = productBrand;
	}

	public BigDecimal getProductPrice() {
		return productPrice;
	}

	public void setProductPrice(BigDecimal productPrice) {
		this.productPrice = productPrice;
	}

	public Integer getProductQuantity() {
		return productQuantity;
	}

	public void setProductQuantity(Integer productQuantity) {
		this.productQuantity = productQuantity;
	}

	public String getSp1() {
		return sp1;
	}

	public void setSp1(String sp1) {
		this.sp1 = sp1;
	}

	public String getSp2() {
		return sp2;
	}

	public void setSp2(String sp2) {
		this.sp2 = sp2;
	}

	public String getSp3() {
		return sp3;
	}

	public void setSp3(String sp3) {
		this.sp3 = sp3;
	}
	
}
